Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.auxdata
Class DefaultFileDataLoaderImpl

    java.lang.Object
      com.ejie.r01f.auxdata.DefaultFileDataLoaderImpl

All Implemented Interfaces:
  AuxDataLoader

public class DefaultFileDataLoaderImpl
extends java.lang.Object
implements AuxDataLoader

Implementacion del loader de datos auxiliares desde fichero Esta clase es llamada dinámicamente por el AuxDataManager para realizar la carga de datos auxiliares de varios tipos Para saber como ejecutar la carga, es necesaria la siguiente configuracion en el fichero de properties de la aplicación com.ejie.r01f.auxdata.DefaultDataBaseDataLoaderImpl [Path hasta el fichero con los datos] [caracter delimitador] En esta configuracion se especifica la ruta hasta el fichero que contiene los datos auxiliares. Esta ruta puede tener variables: - $appCode$: Codigo de Aplicacion - $dataSet$: Conjunto de valores - Otros parametros que llegan como propiedades (lang, etc) Los ficheros contendrán los datos separados por un caracter delimitador. Por ejemplo: 0001:Valor1 0002:Valor2 ...

Constructor Summary
`DefaultFileDataLoaderImpl()` Constructor vacio

Method Summary
`java.util.Map` | `load(java.lang.String appCode, java.lang.String dataSetOid, java.util.Properties props)` Realiza la carga de los datos auxiliares

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFileDataLoaderImpl

    public DefaultFileDataLoaderImpl()

  Constructor vacio

Method Detail

### load

    public java.util.Map load(java.lang.String appCode,
                              java.lang.String dataSetOid,
                              java.util.Properties props)
                       throws AuxDataLoaderException

  Description copied from interface: `AuxDataLoader`
  Realiza la carga de los datos auxiliares

  Specified by:
    `load` in interface `AuxDataLoader`
  Parameters:
    `appCode` - Codigo de aplicacion
    `dataSetOid` - Identificador del conjunto de datos auxiliares a cargar
    `props` - Propiedades y parametros particulares para la implementacion del cargador
  Returns:
    un mapa con los elementos (codigo-valor)
  Throws:
    `AuxDataLoaderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD